summaryrefslogtreecommitdiffstats
path: root/.local/bin/getcomproot
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2024-05-23 13:03:55 -0400
committerLuke Smith <luke@lukesmith.xyz>2024-05-23 13:03:55 -0400
commit28eff887e0eb3149e7f982534a3a9e1b69451758 (patch)
tree1064db05bf1d610159a56d55fcdb547df801e756 /.local/bin/getcomproot
parent441d26b75d535bf9291b7f994f46f30e35e0c090 (diff)
parentdb6ee8f8197dec0d0e3333f9c912bef38387a3e7 (diff)
downloadeibhear-28eff887e0eb3149e7f982534a3a9e1b69451758.tar.gz
eibhear-28eff887e0eb3149e7f982534a3a9e1b69451758.tar.zst
eibhear-28eff887e0eb3149e7f982534a3a9e1b69451758.zip
Merge branch 'master' of github.com:LukeSmithxyz/voidrice
Diffstat (limited to '.local/bin/getcomproot')
-rwxr-xr-x.local/bin/getcomproot9
1 files changed, 3 insertions, 6 deletions
diff --git a/.local/bin/getcomproot b/.local/bin/getcomproot
index d34a2e4..dbee348 100755
--- a/.local/bin/getcomproot
+++ b/.local/bin/getcomproot
@@ -1,12 +1,9 @@
-#!/bin/bash
+#!/bin/sh
# A helper script for LaTeX/groff files used by `compiler` and `opout`.
# The user can add the root file of a larger project as a comment as below:
# % root = mainfile.tex
# And the compiler script will run on that instead of the opened file.
-texroot="$(grep -i "^.\+\s*root\s*=\s*\S\+" "$1")"
-texroot="${texroot##*=}"
-texroot="${texroot//[\"\' ]}"
-
-[ -f "$texroot" ] && readlink -f "$texroot" || exit 1
+texroot="$(sed -n 's/^\s*%.*root\s*=\s*\(\S\+\).*/\1/p' "${1}")"
+[ -f "${texroot}" ] && readlink -f "${texroot}" || exit "1"